<div class="brl w-100 container  p-0" style="height:70px;max-height:230px;overflow: auto;" >


    <div id="carouselControls" class="carousel slide h-100 w-100 " data-ride="carousel">

        <ol class="carousel-indicators mb-1" >
            <li *ngFor="let index2 of counter(temps); let i = index" data-target="#carouselIndicators" data-slide-to="{{ j }}" [ngClass]="{'active': i == 0}"></li>
        </ol>

        <div class="carousel-inner pl-1 pr-1 ">
            
            <!-- <div *ngFor="let temp of data; let i = index" class="carousel-item" [ngClass]="{'active': i == 0}"  >
                <temp [type]="'ticker'" [data]="temp"></temp>
            </div> -->
             <ng-container *ngFor="let index2 of counter(temps); let i = index">
               <div class="carousel-item bg-light" [ngClass]="{'active': i == 0}"  >
                    <div class="brl element" *ngFor="let temp of temps | slice: i * 3 : (i + 1) * 3; let j = index">
                        <temp *ngIf="temps[j]" [type]="'ticker_' + i + j" [data]="temps[j]"></temp>
                    </div>
                </div> 
            </ng-container>

        </div>
        <a class="carousel-control-prev" role="button" href="#carouselControls" data-slide="prev" style="justify-content:left !important" >
          <span class="carousel-control-prev-icon" style="padding:5px; border-radius: 10px;" aria-hidden="true"></span>
          <span class="sr-only">Previous</span>
        </a>
        <a class="carousel-control-next" role="button" href="#carouselControls" data-slide="next" style="justify-content:right !important" >
          <span class="carousel-control-next-icon" style="padding:5px; border-radius: 10px;" aria-hidden="true"></span>
          <span class="sr-only">Next</span>
        </a>
      </div>

</div>